Fetch Virtual Card

API gives virtual card details and change transaction flags (Enable and Disable) for online transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
transactionFlagStringM
  • *Enable -** Prepaid card enable for online transactions
  • Disable *- Prepaid card disable for online transaction
mobileStringOMobile Number of the user

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/fetchVirtualCard' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transactionFlag": "Enable",
    "mobile" : "7428585742"

}'
POST /cards/prepaid/fetchVirtualCard HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
    "transactionFlag": "Enable",
     "mobile" : "7428585742"

}
📘

Response Parameters

For Response Reference Click here

Sample Response

{
    "statuscode": "TXN",
    "actcode": "CardsFound",
    "status": "Transaction Successful",
    "data": {
        "accountNumber": "5550007428585742",
        "ifsc": "YESB0CMSNOC",
        "cards": [
            {
                "id": 123456,
                "mobileNumber": "",
                "bankId": 123456,
                "nameOnCard": "Sample Name",
                "binType": "PREPAID",
                "branding": "InstantPay",
                "status": "ACTIVE",
                "type": "VIRTUAL",
                "cardTag": null,
                "cardNetwork": "RuPay",
                "cardVariant": "PLATINUM",
                "cardPerso": "N",
                "kitNumber": "3110123456"
                "expiryDate": "2000-01-01",
                "cardBinNumber": "1234",
                "shortCardNumber": "4321",
                "atmChannel": "OFF",
                "posChannel": "OFF",
                "ecommerceChannel": "ON",
                "contactlessChannel": "OFF",
                "fullCardNumber": "***************",
                "cvv": "XXX"
            }
        ]
    },
    "timestamp": "YYYY-MM-DD HH:II:SS",
     "ipay_uuid": "h0069be1de76-e3bd-4f83-a8bd-7e08dfddb672-iBDV4k0anFAu",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
📘

Action Code Details

For Action Code details Click here

Body Params
string

Enable - Prepaid card enable for online transactions Disable - Prepaid card disable for online transaction

string

User mobile number

Headers
string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string
Defaults to 1

Auth-Code

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json